Page MenuHomePhabricator

Add article and discussion tabs to all logged-in users on mobile
Closed, ResolvedPublic2 Estimate Story Points

Description

User Story

As a new editor, I would like easy access to the talk pages of articles (and pages in other namespaces) so that I can enter into discussions on the details of the article

Acceptance criteria

  • Add talk tabs for all logged-in users

Developer notes

We cannot enable this using a config change to wgMinervaTalkAtTop in current form.
We have talked about making the FeatureManager accept a loggedin state to make these changes easier in future.

Otherwise we can simply update the setMinervaSkinOption to make use of the User on the skin instance.

				SkinOptions::TALK_AT_TOP => $featureManager->isFeatureAvailableForCurrentUser(
					'MinervaTalkAtTop'
				) || $skin->getUser()->isLoggedIn(),

QA Steps

  1. go to beta cluster as anon user
  2. go to any article page and check that the talk/discussion tabs are not visible
  3. log in as test user
  4. redo step two, but this time verify that talk/discussion tabs are visible
  5. verify that opting into AMC mode keeps tabs visible

QA Results

QA results

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterAdd History icon and Article/Talk tabs to default loggedin experience
operations/mediawiki-config : masterEnable Article and Discussion tabs for all logged-in users
mediawiki/extensions/MobileFrontend : masterIntroduce new 'loggedin' mode
mediawiki/extensions/MobileFrontend : masterProvide an AudienceMode to limit certain features to given audience

Event Timeline

ovasileva updated the task description. (Show Details)Sep 11 2019, 3:23 PM
ovasileva set the point value for this task to 2.Oct 1 2019, 4:22 PM

Change 540378 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/MobileFrontend@master] Introduce new 'loggedin' mode

https://gerrit.wikimedia.org/r/540378

Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptNov 6 2019, 9:55 AM

Change 549190 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/MobileFrontend@master] Provide an AudienceMode to limit certain features to given audience

https://gerrit.wikimedia.org/r/549190

pmiazga added subscribers: olga, pmiazga.EditedDec 3 2019, 6:49 PM

@ovasileva just to confirm, we want to enable both this task and T232652: Add History to article toolbar for all logged-in users on all wikis/projects. We're trying to decide on the best direction and we're considering two options:

  • adding a loggedin mode, then these feature will be available to all logged_in users
  • remove the feature flags, and make those two features an integral part of the MobileFrontend/Minerva.

If we decide to go with the latter, it means there will be no possibility to remove history link/tabs on some wikis. All wikis/projects gets the same treatment.

@ovasileva just to confirm, we want to enable both this task and T232652: Add History to article toolbar for all logged-in users on all wikis/projects. We're trying to decide on the best direction and we're considering two options:

  • adding a loggedin mode, then these feature will be available to all logged_in users
  • remove the feature flags, and make those two features an integral part of the MobileFrontend/Minerva.

If we decide to go with the latter, it means there will be no possibility to remove history link/tabs on some wikis. All wikis/projects gets the same treatment.

To confirm - the latter would still mean that only logged-in users would view the changes? If so, that's fine - we don't plan on having separate configurations per wiki

To confirm - the latter would still mean that only logged-in users would view the changes? If so, that's fine - we don't plan on having separate configurations per wiki

Yes, only logged-in users will see the changes.

pmiazga claimed this task.Dec 9 2019, 6:23 PM
ovasileva raised the priority of this task from Medium to High.Dec 10 2019, 1:33 PM

Change 549190 abandoned by Pmiazga:
Provide an AudienceMode to limit certain features to given audience

Reason:
it was POC, we don't need it now, there is no need to go that direction yet

https://gerrit.wikimedia.org/r/549190

Change 540378 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Introduce new 'loggedin' mode

https://gerrit.wikimedia.org/r/540378

Change 556439 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[operations/mediawiki-config@master] Enable Article and Discussion tabs for all logged-in users

https://gerrit.wikimedia.org/r/556439

Change 556439 abandoned by Pmiazga:
Enable Article and Discussion tabs for all logged-in users

Reason:
decided to update the skin.json to keep the experience consistent between 3rd party installs and prod config.

https://gerrit.wikimedia.org/r/556439

Change 557100 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/skins/MinervaNeue@master] Add History icon and Article/Talk tabs to default loggedin experience

https://gerrit.wikimedia.org/r/557100

Change 557100 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Add History icon and Article/Talk tabs to default loggedin experience

https://gerrit.wikimedia.org/r/557100

pmiazga reassigned this task from pmiazga to Edtadros.Dec 16 2019, 7:53 PM
pmiazga updated the task description. (Show Details)
QA Results - beta cluster - passed

tested on: chrome desktop 79.0.3945.79, chrome mobile 78.0.3904.108 Android 9

  1. go to beta cluster as anon user
  2. go to any article page and check that the talk/discussion tabs are not visible


  1. log in as test user
  2. redo step two, but this time verify that talk/discussion tabs are visible


  1. verify that the talk page opens

  1. verify that opting into AMC mode keeps tabs visible


  1. verify that the talk page opens

ovasileva updated the task description. (Show Details)Dec 17 2019, 11:04 AM
ovasileva updated the task description. (Show Details)
ovasileva updated the task description. (Show Details)
Edtadros added a comment.EditedDec 18 2019, 6:55 AM
QA Results - Production Mediawiki - ✅ PASS

tested on: chrome desktop 79.0.3945.79, iPhone x emulated

  1. go to beta cluster as anon user

✅2. go to any article page and check that the talk/discussion tabs are not visible

  1. log in as test user

✅4. redo step two, but this time verify that talk/discussion tabs are visible

✅5. verify that the talk page opens

✅6. verify that opting into AMC mode keeps tabs visible

✅7. verify that the talk page opens

Edtadros updated the task description. (Show Details)Dec 18 2019, 6:57 AM

looks good on hewiki, see T232652#5753647 for screenshots

Edtadros reassigned this task from Edtadros to ovasileva.Dec 19 2019, 8:29 PM
Edtadros added a subscriber: Edtadros.
QA Results - Production English Wikipedia - ✅ PASS

tested on: chrome desktop 79.0.3945.79, iPhone x emulated

  1. go to beta cluster as anon user

✅2. go to any article page and check that the talk/discussion tabs are not visible

  1. log in as test user

✅4. redo step two, but this time verify that talk/discussion tabs are visible

✅5. verify that the talk page opens

✅6. verify that opting into AMC mode keeps tabs visible

✅7. verify that the talk page opens

Edtadros updated the task description. (Show Details)Dec 19 2019, 8:31 PM
Edtadros updated the task description. (Show Details)
Edtadros updated the task description. (Show Details)
ovasileva closed this task as Resolved.Jan 6 2020, 11:51 AM
ovasileva updated the task description. (Show Details)